summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortv <tv@xso>2011-09-06 19:58:10 +0200
committertv <tv@xso>2011-09-06 19:58:10 +0200
commit3f9886d04e60dcb80d99f4c88fff0437fc0a8c36 (patch)
tree8d935b92633465700018bf23008374fa11337f8b
parent683b24170b8e12dfecf38e84718d919d6bb347fc (diff)
parent108f3616e3f4958752d881192ef29e5fc4c2b045 (diff)
Merge branch 'master' of github.com:krebscode/painload
-rwxr-xr-xReaktor/IRC/index2
-rwxr-xr-xgold/mining/bin/ensure-wlan013
2 files changed, 11 insertions, 4 deletions
diff --git a/Reaktor/IRC/index b/Reaktor/IRC/index
index 21129c71..41e3a227 100755
--- a/Reaktor/IRC/index
+++ b/Reaktor/IRC/index
@@ -5,4 +5,4 @@ cd $(dirname $(readlink -f $0))
./install
-exec python2 bot2.py "$@"
+exec python bot2.py "$@"
diff --git a/gold/mining/bin/ensure-wlan0 b/gold/mining/bin/ensure-wlan0
index fa92c4f5..2ede2e8f 100755
--- a/gold/mining/bin/ensure-wlan0
+++ b/gold/mining/bin/ensure-wlan0
@@ -6,10 +6,17 @@ if test "${nosudo-false}" != true -a `id -u` != 0; then
exit 23 # go to hell
fi
+locate_bin() {
+ type -p "$1" || find / | sed -n '/.*bin\/'"$1"'$/{p;q}' | grep .
+}
+
has_internet() {
curl -sS google.com >/dev/null
}
+wpa_supplicant="`locate_bin wpa_supplicant`"
+wpa_cli="`locate_bin wpa_cli`"
+
if test "${force-false}" = true || ! has_internet; then
## get rid of the fuckers
@@ -20,8 +27,8 @@ if test "${force-false}" = true || ! has_internet; then
beep -l 50 -f 2000; pkill wpa
beep -l 50 -f 2000; rm -vf /var/run/wpa_supplicant/*
- beep -l 50 -f 2000; wpa_supplicant -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf &
- while ! wpa_cli status | grep -q wpa_state=COMPLETED; do
+ beep -l 50 -f 2000; $wpa_supplicant -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf || $wpa_supplicant -i wlan0 -c /etc/wpa_supplicant.conf &
+ while ! $wpa_cli status | grep -q wpa_state=COMPLETED; do
beep -l 50 -f 2000 -D 50 -n -l 50 -f 2000
sleep 1
done
@@ -38,4 +45,4 @@ else
(--quiet) : ;;
(*) beep -l 50 -f 2000 -n -l 100 -f 2000 ;;
esac
-fi
+fi 2>&1 | tee /var/log/ensure-wlan0